Package com.io7m.jregions.core.unparameterized.sizes

# Class VolumeSizeL.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.sizes.VolumeSizeL.Builder

Enclosing class:
  VolumeSizeL

    public static final class VolumeSizeL.Builder
    extends java.lang.Object

Builds instances of type `VolumeSizeL`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `VolumeSizeL` | `build()` | Builds a new `VolumeSizeL`.
  `VolumeSizeL.Builder` | `from​(VolumeSizeLType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeLType` instance.
  `VolumeSizeL.Builder` | `from​(VolumeSizeValuesLType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesLType` instance.
  `VolumeSizeL.Builder` | `setSizeX​(long sizeX)` | Initializes the value for the `sizeX` attribute.
  `VolumeSizeL.Builder` | `setSizeY​(long sizeY)` | Initializes the value for the `sizeY` attribute.
  `VolumeSizeL.Builder` | `setSizeZ​(long sizeZ)` | Initializes the value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VolumeSizeL.Builder from​(VolumeSizeValuesLType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesLType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final VolumeSizeL.Builder from​(VolumeSizeLType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeLType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final VolumeSizeL.Builder setSizeX​(long sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final VolumeSizeL.Builder setSizeY​(long sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeZ

    public final VolumeSizeL.Builder setSizeZ​(long sizeZ)
    Initializes the value for the `sizeZ` attribute.
    Parameters:
      `sizeZ` - The value for sizeZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VolumeSizeL build()
    Builds a new `VolumeSizeL`.
    Returns:
      An immutable instance of VolumeSizeL
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing